This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 245894e * config/m32r/m32r.c (m32r_attribute_identifier): New functi [...]
new 530bb69 [ARM][2/3] Make if_neg_move and if_move_neg into insn_and_split
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 6 ++++++
gcc/config/arm/arm.md | 60 ++++++++++++++++++++++++++++++++-------------------
2 files changed, 44 insertions(+), 22 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 2d86a0e PR target/66870 * config/rs6000/rs6000.c (machine_function) [...]
new 245894e * config/m32r/m32r.c (m32r_attribute_identifier): New functi [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 6 ++++++
gcc/config/m32r/m32r.c | 10 ++++++++++
2 files changed, 16 insertions(+)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking by this push:
new 7cd9f93 Add one of our machines to known_hosts
7cd9f93 is described below
commit 7cd9f930c591129f31f68eaf8bd5dd61b324ff4a
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 31 17:40:38 2015 +0200
Add one of our machines to known_hosts
Change-Id: I5d026c1618f6b68821dc34089bc51b56d8747eae
---
config/bench/lava/host-session | 2 ++
1 file changed, 2 insertions(+)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index ff56765..4d13088 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -70,6 +70,8 @@ mkdir ~/data || exit 1
#Need to be able to ssh to dev-private
echo 'dev-private.git.linaro.org ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyN [...]
+#Permit scping of toolchains/built benchmarks from this machine
+echo '148.251.136.42 ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzd [...]
#Generate config file for each target in multinode job
lava-network broadcast eth0
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking-logging
in repository toolchain/abe.
discards ff3eee7 WIP
new a14ab3c WIP
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (ff3eee7)
\
N -- N -- N refs/heads/bernie/benchmarking-logging (a14ab3c)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/CPU2006.conf | 1 -
config/bench/lava/host-session | 2 --
2 files changed, 3 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-logging
in repository toolchain/abe.
commit a14ab3cb72679ac74c7d5e4bc942211373e5c39c
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 31 17:39:00 2015 +0200
WIP
Change-Id: I81f6a19e5ea7658931af4093e9d3118add3a635d
---
config/CPU2006.conf | 2 ++
scripts/benchmark.sh | 24 ++++++++++++++++++------
scripts/controlledrun.sh | 3 +++
3 files changed, 23 insertions(+), 6 deletions(-)
diff --git a/config/CPU2006.conf b/config/CPU2006.conf
index b0bc925..ad48552 100644
--- a/config/CPU2006.conf
+++ b/config/CPU2006.conf
@@ -13,3 +13,5 @@ fi
benchlog=result
safe_output=yes
+
+binaries='benchspec/CPU2006/{400.perlbench,401.bzip2,403.gcc,410.bwaves,416.gamess [...]
diff --git a/scripts/benchmark.sh b/scripts/benchmark.sh
index 0596a1b..e923f7b 100755
--- a/scripts/benchmark.sh
+++ b/scripts/benchmark.sh
@@ -181,7 +181,20 @@ else #cross-build, implies we need remote devices
fi
fi
+builddir="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && if test x"${benc [...]
+if test $? -ne 0; then
+ echo "Unable to get builddir" 1>&2
+ error=1
+ exit
+fi
+
if test x"${phases}" != xrunonly; then
+ #Log information about build environment
+ env >> build.log
+ ${benchmark_gcc_path} -v >> build.log
+ ${benchmark_gcc_path} --version >> build.log
+ #TODO Repo and hash of source
+
#abe can build the benchmarks just fine
(PATH="`dirname ${benchmark_gcc_path}`":${PATH} COMPILER_FLAGS=${compiler_flags} [...]
if test $? -ne 0; then
@@ -189,18 +202,17 @@ if test x"${phases}" != xrunonly; then
error=1
exit
fi
+
+ echo >> build.log
+ echo >> "Sizes"
+ size "${builddir}"/`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && read_ [...]
fi
if test x"${phases}" = xbuildonly; then
error=0
exit
fi
-builddir="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && if test x"${benc [...]
-if test $? -ne 0; then
- echo "Unable to get builddir" 1>&2
- error=1
- exit
-fi
+#TODO Whereever we put the build log, put the output binaries as well - that way, [...]
#Compress build to a tmpfile in our top-level working directory
#This should be good for bandwidth
diff --git a/scripts/controlledrun.sh b/scripts/controlledrun.sh
index 612207a..1059fab 100755
--- a/scripts/controlledrun.sh
+++ b/scripts/controlledrun.sh
@@ -555,6 +555,9 @@ ${sudo} ifconfig | tee -a "${log}"
if test $? -ne 0; then
echo "*** Unable to get network info" | tee -a "${log}"
fi
+echo | tee -a "${log}"
+echo "** Environment:" | tee -a "${log}"
+env | tee -a "${log}"
echo "===================" | tee -a "${log}"
echo | tee -a "${log}"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking-logging
in repository toolchain/abe.
at ff3eee7 WIP
This branch includes the following new commits:
new ff3eee7 WIP
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-logging
in repository toolchain/abe.
commit ff3eee7afdd534505d094e9af81b00e6e3bd557a
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 31 17:37:03 2015 +0200
WIP
Change-Id: Ifb63e8d3b21febb490087855d5aa86297daa9a5b
---
config/CPU2006.conf | 3 +++
config/bench/lava/host-session | 2 ++
scripts/benchmark.sh | 24 ++++++++++++++++++------
scripts/controlledrun.sh | 3 +++
4 files changed, 26 insertions(+), 6 deletions(-)
diff --git a/config/CPU2006.conf b/config/CPU2006.conf
index b0bc925..56037c6 100644
--- a/config/CPU2006.conf
+++ b/config/CPU2006.conf
@@ -13,3 +13,6 @@ fi
benchlog=result
safe_output=yes
+
+binaries='benchspec/CPU2006/{400.perlbench,401.bzip2,403.gcc,410.bwaves,416.gamess [...]
+
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index ff56765..4d13088 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -70,6 +70,8 @@ mkdir ~/data || exit 1
#Need to be able to ssh to dev-private
echo 'dev-private.git.linaro.org ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyN [...]
+#Permit scping of toolchains/built benchmarks from this machine
+echo '148.251.136.42 ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzd [...]
#Generate config file for each target in multinode job
lava-network broadcast eth0
diff --git a/scripts/benchmark.sh b/scripts/benchmark.sh
index 0596a1b..e923f7b 100755
--- a/scripts/benchmark.sh
+++ b/scripts/benchmark.sh
@@ -181,7 +181,20 @@ else #cross-build, implies we need remote devices
fi
fi
+builddir="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && if test x"${benc [...]
+if test $? -ne 0; then
+ echo "Unable to get builddir" 1>&2
+ error=1
+ exit
+fi
+
if test x"${phases}" != xrunonly; then
+ #Log information about build environment
+ env >> build.log
+ ${benchmark_gcc_path} -v >> build.log
+ ${benchmark_gcc_path} --version >> build.log
+ #TODO Repo and hash of source
+
#abe can build the benchmarks just fine
(PATH="`dirname ${benchmark_gcc_path}`":${PATH} COMPILER_FLAGS=${compiler_flags} [...]
if test $? -ne 0; then
@@ -189,18 +202,17 @@ if test x"${phases}" != xrunonly; then
error=1
exit
fi
+
+ echo >> build.log
+ echo >> "Sizes"
+ size "${builddir}"/`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && read_ [...]
fi
if test x"${phases}" = xbuildonly; then
error=0
exit
fi
-builddir="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && if test x"${benc [...]
-if test $? -ne 0; then
- echo "Unable to get builddir" 1>&2
- error=1
- exit
-fi
+#TODO Whereever we put the build log, put the output binaries as well - that way, [...]
#Compress build to a tmpfile in our top-level working directory
#This should be good for bandwidth
diff --git a/scripts/controlledrun.sh b/scripts/controlledrun.sh
index 612207a..1059fab 100755
--- a/scripts/controlledrun.sh
+++ b/scripts/controlledrun.sh
@@ -555,6 +555,9 @@ ${sudo} ifconfig | tee -a "${log}"
if test $? -ne 0; then
echo "*** Unable to get network info" | tee -a "${log}"
fi
+echo | tee -a "${log}"
+echo "** Environment:" | tee -a "${log}"
+env | tee -a "${log}"
echo "===================" | tee -a "${log}"
echo | tee -a "${log}"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
discards 81411d8 Support makeflags in multinode jobs
discards 23f8bee Fix CLI-overriding of make_flags
discards 2863231 Permit benchmarking with prebuilt benchmark
discards 22dec27 Refactor toolchain download/install code
new 7bfea28 Refactor toolchain download/install code
new 18c67ea Permit benchmarking with prebuilt benchmark
new 87537dd Fix CLI-overriding of make_flags
new 973259a Support makeflags in multinode jobs
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (81411d8)
\
N -- N -- N refs/heads/bernie/benchmarking (973259a)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/Benchmark.job | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.